Subject: Re: [PATCH net-next v2] page_pool: split types and declarations from page_pool.h

From: Jakub Kicinski <[email-masked]>
Date: Tue, 25 Jul 2023 14:12:23 -0700

On Tue, 25 Jul 2023 17:42:28 +0300 Ilias Apalodimas wrote:
> Apologies for the very late replies, I was on long vacation with limited
> internet access.
> Yunsheng, since there's been a few mails and I lost track, this is instead of
> [0] right? If so, I prefer this approach.  It looks ok on a first quick pass,
> I'll have a closer look later.
> 
> [0] https://lore.kernel.org/netdev/[email-masked]/

I prefer the more systematic approach of creating a separate types.h
file, so I don't have to keep chasing people or cleaning up the include
hell myself. I think it should be adopted more widely going forward,
it's not just about the page pool.